# Static file server with directory listing
# Place files in ./public/ directory

services:
  app:
    image: nginx:alpine
    container_name: ${PROJECT_NAME}-app
    restart: unless-stopped
    network_mode: bridge

    # DO NOT CHANGE - port is managed by gateway
    ports:
      - "172.17.0.1:${PORT}:80"

    volumes:
      - ./public:/usr/share/nginx/html:ro
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro

    # Resource limits
    mem_limit: 256m
    cpus: 0.5
